Debian Bug report logs - #677667
fglrx crashes with X server 1.12 on 64bit architecture

version graph

Package: fglrx-driver; Maintainer for fglrx-driver is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-driver is src:fglrx-driver.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Fri, 15 Jun 2012 21:45:01 UTC

Severity: serious

Merged with 675940, 675995, 677694, 677954, 679793, 679794, 680105

Found in versions fglrx-driver/1:12-6~beta-1, fglrx-driver/1:12-6-2, fglrx-driver/1:12-6-1

Fixed in version fglrx-driver/1:12-6+point-1

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://ati.cchtml.com/show_bug.cgi?id=522

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#677667; Package fglrx-driver. (Fri, 15 Jun 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 15 Jun 2012 21:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fglrx-driver: xf86OpenConsole: Cannot find a free VT
Date: Fri, 15 Jun 2012 23:41:44 +0200
[Message part 1 (text/plain, inline)]
Package: fglrx-driver
Version: 1:12-6~beta-1
Severity: important

(Antonio and Hor, if you reply please replace <submit@bugs.debian.org>
to the correct bug report address.)

Dear Debian folks,


installing `fglrx-driver`, running `sudo aticonfig --initial` and
rebooting after GDM 3 loads I just see a blinking curser on the top left
screen corner. Others do also seem to experience this problem [1][2].

        $ more /var/log/Xorg.172.log
        […]
        [   240.105] 
        Fatal server error:
        [   240.105] xf86OpenConsole: Cannot find a free VT
        [   240.105] 
        [   240.105] 
        Please consult the The X.Org Foundation support 
                 at http://wiki.x.org
         for help. 
        [   240.105] Please also check the log file at "/var/log/Xorg.172.log" for additional information.
        [   240.105]

The X server seems to be restarted very quickly in succession.

        -rw-r--r-- 1 root root  5217 2012-06-15 23:29:08.157218849 +0200 /var/log/Xorg.172.log
        -rw-r--r-- 1 root root  4562 2012-06-15 23:29:08.149218919 +0200 /var/log/Xorg.61.log
        -rw-r--r-- 1 root root  4247 2012-06-15 23:29:08.145218954 +0200 /var/log/Xorg.29.log
        -rw-r--r-- 1 root root  5948 2012-06-15 23:29:08.141218990 +0200 /var/log/Xorg.115.log
        -rw-r--r-- 1 root root  4179 2012-06-15 23:29:08.137219026 +0200 /var/log/Xorg.133.log
        -rw-r--r-- 1 root root  2896 2012-06-15 23:29:08.133219061 +0200 /var/log/Xorg.189.log
        -rw-r--r-- 1 root root  2896 2012-06-15 23:29:08.121219165 +0200 /var/log/Xorg.130.log
        -rw-r--r-- 1 root root  3024 2012-06-15 23:29:08.113219237 +0200 /var/log/Xorg.183.log
        -rw-r--r-- 1 root root  2895 2012-06-15 23:29:08.109219272 +0200 /var/log/Xorg.49.log
        -rw-r--r-- 1 root root  5948 2012-06-15 23:29:08.101219341 +0200 /var/log/Xorg.122.log
        -rw-r--r-- 1 root root  2895 2012-06-15 23:29:08.097219376 +0200 /var/log/Xorg.69.log
        -rw-r--r-- 1 root root  3024 2012-06-15 23:29:08.093219412 +0200 /var/log/Xorg.105.log
        -rw-r--r-- 1 root root  2896 2012-06-15 23:29:08.093219412 +0200 /var/log/Xorg.165.log
        -rw-r--r-- 1 root root  5948 2012-06-15 23:29:08.077219553 +0200 /var/log/Xorg.153.log
        -rw-r--r-- 1 root root  5948 2012-06-15 23:29:08.065219659 +0200 /var/log/Xorg.114.log
        -rw-r--r-- 1 root root  5948 2012-06-15 23:29:08.061219693 +0200 /var/log/Xorg.186.log

But I could not find any indication of a crash as in bug report #675940.

Any help how to debug this would be great. Using the free driver
`radeon` – everything besides GPU based video decoding – works fine.


Thanks,

Paul


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675940#25
[2] https://lists.debian.org/debian-user/2012/05/msg01545.html
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675940

-- Package-specific info:
Full fglrx package list:
ii  fglrx-atieventsd              1:12-6~beta-1                 external events daemon for the non-free ATI/AMD RadeonHD display driver
ii  fglrx-driver                  1:12-6~beta-1                 non-free ATI/AMD RadeonHD display driver
ii  fglrx-glx-ia32                1:12-6~beta-1                 proprietary libGL for the non-free ATI/AMD RadeonHD display driver (32-bit
ii  fglrx-modules-dkms            1:12-6~beta-1                 dkms module source for the non-free ATI/AMD RadeonHD display driver
ii  glx-alternative-fglrx         0.2.1                         allows the selection of FGLRX as GLX provider
ii  libfglrx:amd64                1:12-6~beta-1                 non-free ATI/AMD RadeonHD display driver (runtime libraries)
ii  libfglrx-ia32                 1:12-6~beta-1                 non-free ATI/AMD RadeonHD display driver (32-bit runtime libraries)
ii  libgl1-fglrx-glx:amd64        1:12-6~beta-1                 proprietary libGL for the non-free ATI/AMD RadeonHD display driver

VGA-compatible devices on PCI bus:
00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Wrestler [Radeon HD 6310]

DRM and fglrx Informations from dmesg:
[    0.000000] No AGP bridge found
[    0.000000] No AGP bridge found
[    2.024660] Linux agpgart interface v0.103
[    4.255944] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[    4.397133] [fglrx] Maximum main memory to use for locked dma buffers: 7399 MBytes.
[    4.397330] [fglrx]   vendor: 1002 device: 9802 count: 1
[    4.397931] [fglrx] ioport: bar 1, base 0xf000, size: 0x100
[    4.398435] [fglrx] Kernel PAT support is enabled
[    4.398477] [fglrx] module loaded - fglrx 8.98.2 [May 22 2012] with 1 minors

Xorg X server configuration file status:
-rw-r--r-- 1 root root 684 Jun 15 17:34 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
Section "ServerLayout"
	Identifier     "aticonfig Layout"
	Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]-0"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
	Identifier  "aticonfig-Device[0]-0"
	Driver      "fglrx"
	BusID       "PCI:0:1:0"
EndSection

Section "Screen"
	Identifier "aticonfig-Screen[0]-0"
	Device     "aticonfig-Device[0]-0"
	Monitor    "aticonfig-Monitor[0]-0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection



Xorg X server log files on system:
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.22.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.40.log
-rw-r--r-- 1 root root 6719 Jun 15 23:05 /var/log/Xorg.3.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.27.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.26.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.32.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.13.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.15.log
-rw-r--r-- 1 root root 6719 Jun 15 23:05 /var/log/Xorg.5.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.25.log
-rw-r--r-- 1 root root 6719 Jun 15 23:05 /var/log/Xorg.6.log
-rw-r--r-- 1 root root 6720 Jun 15 23:05 /var/log/Xorg.28.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.31.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.33.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.30.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.36.log
-rw-r--r-- 1 root root 6719 Jun 15 23:06 /var/log/Xorg.7.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.34.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.39.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.16.log
-rw-r--r-- 1 root root 6719 Jun 15 23:06 /var/log/Xorg.2.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.14.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.53.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.49.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.81.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.51.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.41.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.79.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.11.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.83.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.82.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.21.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.84.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.55.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.42.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.56.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.37.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.43.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.23.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.19.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.62.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.44.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.80.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.60.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.58.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.47.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.57.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.54.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.63.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.66.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.64.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.46.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.61.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.24.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.17.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.71.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.108.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.107.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.86.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.72.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.76.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.59.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.95.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.93.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.69.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.103.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.89.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.12.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.101.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.74.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.65.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.102.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.87.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.52.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.9.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.90.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.4.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.106.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.0.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.104.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.105.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.96.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.70.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.45.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.38.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.8.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.35.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.18.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.100.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.85.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.50.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.10.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.67.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.109.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.118.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.78.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.114.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.119.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.48.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.111.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.91.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.117.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.92.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.75.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.112.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.98.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.113.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.73.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.115.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.123.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.120.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.94.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.116.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.121.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.77.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.68.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.122.log
-rw-r--r-- 1 root root 6720 Jun 15 23:06 /var/log/Xorg.99.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.97.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.88.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.110.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.124.log
-rw-r--r-- 1 root root 6721 Jun 15 23:06 /var/log/Xorg.29.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.125.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.127.log
-rw-r--r-- 1 root root 6722 Jun 15 23:06 /var/log/Xorg.129.log
-rw-r--r-- 1 root root 6995 Jun 15 23:07 /var/log/Xorg.201.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.189.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.197.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.176.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.190.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.182.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.171.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.170.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.208.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.156.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.126.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.181.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.145.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.192.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.193.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.144.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.173.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.134.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.165.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.167.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.160.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.200.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.157.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.162.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.187.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.163.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.210.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.188.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.203.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.211.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.150.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.174.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.177.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.135.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.194.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.204.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.195.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.206.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.199.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.205.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.209.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.179.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.153.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.130.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.169.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.220.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.155.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.164.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.184.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.217.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.142.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.149.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.166.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.191.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.139.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.168.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.159.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.186.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.221.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.147.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.218.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.180.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.158.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.161.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.128.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.152.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.196.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.178.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.141.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.133.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.131.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.172.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.216.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.214.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.175.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.143.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.154.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.222.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.215.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.140.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.132.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.213.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.138.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.202.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.148.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.183.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.207.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.198.log
-rw-r--r-- 1 root root 6995 Jun 15 23:08 /var/log/Xorg.151.log
-rw-r--r-- 1 root root 5948 Jun 15 23:08 /var/log/Xorg.136.log
-rw-r--r-- 1 root root 5948 Jun 15 23:08 /var/log/Xorg.219.log
-rw-r--r-- 1 root root 5948 Jun 15 23:08 /var/log/Xorg.137.log
-rw-r--r-- 1 root root 3024 Jun 15 23:08 /var/log/Xorg.185.log
-rw-r--r-- 1 root root 4753 Jun 15 23:08 /var/log/Xorg.212.log
-rw-r--r-- 1 root root 4341 Jun 15 23:08 /var/log/Xorg.146.log

Contents of most recent Xorg X server log file
/var/log/Xorg.146.log:
[   146.721] 
X.Org X Server 1.12.1.902 (1.12.2 RC 2)
Release Date: 2012-05-19
[   146.721] X Protocol Version 11, Revision 0
[   146.721] Build Operating System: Linux 3.2.0-2-amd64 x86_64 Debian
[   146.721] Current Operating System: Linux xbmc 3.2.0-2-amd64 #1 SMP Mon Jun 11 17:24:18 UTC 2012 x86_64
[   146.721] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-2-amd64 root=UUID=ae710f86-6af2-4303-a180-93372db1e58f ro init=/bin/systemd quiet
[   146.721] Build Date: 20 May 2012  08:57:17AM
[   146.721] xorg-server 2:1.12.1.902-1 (Cyril Brulebois <kibi@debian.org>) 
[   146.721] Current version of pixman: 0.26.0
[   146.721] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   146.722] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   146.722] (==) Log file: "/var/log/Xorg.146.log", Time: Fri Jun 15 23:08:03 2012
[   146.722] (==) Using config file: "/etc/X11/xorg.conf"
[   146.722] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   146.722] (==) ServerLayout "aticonfig Layout"
[   146.722] (**) |-->Screen "aticonfig-Screen[0]-0" (0)
[   146.722] (**) |   |-->Monitor "aticonfig-Monitor[0]-0"
[   146.723] (**) |   |-->Device "aticonfig-Device[0]-0"
[   146.723] (==) Automatically adding devices
[   146.723] (==) Automatically enabling devices
[   146.723] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[   146.723] 	Entry deleted from font path.
[   146.723] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	built-ins
[   146.723] (==) ModulePath set to "/usr/lib/xorg/modules"
[   146.723] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[   146.723] (II) Loader magic: 0x7f2fe2e97ae0
[   146.723] (II) Module ABI versions:
[   146.723] 	X.Org ANSI C Emulation: 0.4
[   146.723] 	X.Org Video Driver: 12.0
[   146.723] 	X.Org XInput driver : 16.0
[   146.779] 	X.Org Server Extension : 6.0
[   146.802] (--) PCI:*(0:0:1:0) 1002:9802:1849:9802 rev 0, Mem @ 0xc0000000/268435456, 0xfeb00000/262144, I/O @ 0x0000f000/256
[   146.845] (II) Open ACPI successful (/var/run/acpid.socket)
[   146.845] (II) "extmod" will be loaded by default.
[   146.845] (II) "dbe" will be loaded by default.
[   146.845] (II) "glx" will be loaded by default.
[   146.845] (II) "record" will be loaded by default.
[   146.845] (II) "dri" will be loaded by default.
[   146.845] (II) "dri2" will be loaded by default.
[   146.845] (II) LoadModule: "extmod"
[   146.846] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[   146.846] (II) Module extmod: vendor="X.Org Foundation"
[   146.846] 	compiled for 1.12.1.902, module version = 1.0.0
[   146.847] 	Module class: X.Org Server Extension
[   146.847] 	ABI class: X.Org Server Extension, version 6.0
[   146.847] (II) Loading extension SELinux
[   146.847] (II) Loading extension MIT-SCREEN-SAVER
[   146.847] (II) Loading extension XFree86-VidModeExtension
[   146.847] (II) Loading extension XFree86-DGA
[   146.847] (II) Loading extension DPMS
[   146.847] (II) Loading extension XVideo
[   146.847] (II) Loading extension XVideo-MotionCompensation
[   146.847] (II) Loading extension X-Resource
[   146.847] (II) LoadModule: "dbe"
[   146.847] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[   146.847] (II) Module dbe: vendor="X.Org Foundation"
[   146.847] 	compiled for 1.12.1.902

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fglrx-driver depends on:
ii  dpkg                                   1.16.4.2
ii  glx-alternative-fglrx                  0.2.1
ii  libc6                                  2.13-33
ii  libfglrx                               1:12-6~beta-1
ii  libgl1-mesa-glx [libgl1]               8.0.3-1
ii  libx11-6                               2:1.4.99.901-2
ii  libxext6                               2:1.3.1-2
ii  libxrandr2                             2:1.3.2-2
ii  libxrender1                            1:0.9.7-1
ii  xserver-xorg-core [xorg-video-abi-12]  2:1.12.1.902-1

Versions of packages fglrx-driver recommends:
ii  fglrx-atieventsd                             1:12-6~beta-1
ii  fglrx-glx-ia32                               1:12-6~beta-1
ii  fglrx-modules-dkms [fglrx-kernel-12-6-beta]  1:12-6~beta-1
ii  libgl1-fglrx-glx                             1:12-6~beta-1

Versions of packages fglrx-driver suggests:
pn  amd-opencl-icd  <none>
pn  fglrx-control   <none>
pn  xvba-va-driver  <none>

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#677667; Package fglrx-driver. (Sat, 16 Jun 2012 12:03:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sat, 16 Jun 2012 12:03:58 GMT) Full text and rfc822 format available.

Message #10 received at 677667@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Paul Menzel <pm.debian@googlemail.com>, 677667@bugs.debian.org
Subject: Re: Bug#677667: fglrx-driver: xf86OpenConsole: Cannot find a free VT
Date: Sat, 16 Jun 2012 13:58:58 +0200
On 2012-06-15 23:41, Paul Menzel wrote:
>         [   240.105] 
>         Fatal server error:
>         [   240.105] xf86OpenConsole: Cannot find a free VT

> The X server seems to be restarted very quickly in succession.
> 
>         -rw-r--r-- 1 root root  5217 2012-06-15 23:29:08.157218849 +0200 /var/log/Xorg.172.log
>         -rw-r--r-- 1 root root  4562 2012-06-15 23:29:08.149218919 +0200 /var/log/Xorg.61.log
>         -rw-r--r-- 1 root root  4247 2012-06-15 23:29:08.145218954 +0200 /var/log/Xorg.29.log

http://bugs.debian.org/650183

Fabian reported there:
  "I experienced a similar (the same?) issue and eventually got around
   it by upgrading to the latest libgl1-mesa-dri package from sid,
   8.0.2-2 at that time."

The Xorg.*.log from gdm3 are not helpful as there seems to be the
interesting part missing due to the frequent restarting.

Can you try kdm/xdm/... and see if the Xorg.*.log contains more
information after the error?

And be aware of
  #675940: fglrx crashs with Xserver 1.12 on 64bit architecture
Backports has an older X stack available.

Andreas




Added tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 12:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#677667; Package fglrx-driver. (Sat, 16 Jun 2012 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sat, 16 Jun 2012 18:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 677667@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 677667@bugs.debian.org
Subject: Re: Bug#677667: fglrx-driver: xf86OpenConsole: Cannot find a free VT
Date: Sat, 16 Jun 2012 20:54:34 +0200
[Message part 1 (text/plain, inline)]
forcemerge 675940 677667
forwarded 675940 http://ati.cchtml.com/show_bug.cgi?id=522

Am Samstag, den 16.06.2012, 13:58 +0200 schrieb Andreas Beckmann:
> On 2012-06-15 23:41, Paul Menzel wrote:
> >         [   240.105] 
> >         Fatal server error:
> >         [   240.105] xf86OpenConsole: Cannot find a free VT
> 
> > The X server seems to be restarted very quickly in succession.
> > 
> >         -rw-r--r-- 1 root root  5217 2012-06-15 23:29:08.157218849 +0200 /var/log/Xorg.172.log
> >         -rw-r--r-- 1 root root  4562 2012-06-15 23:29:08.149218919 +0200 /var/log/Xorg.61.log
> >         -rw-r--r-- 1 root root  4247 2012-06-15 23:29:08.145218954 +0200 /var/log/Xorg.29.log
> 
> http://bugs.debian.org/650183
> 
> Fabian reported there:
>   "I experienced a similar (the same?) issue and eventually got around
>    it by upgrading to the latest libgl1-mesa-dri package from sid,
>    8.0.2-2 at that time."

Interesting.

> The Xorg.*.log from gdm3 are not helpful as there seems to be the
> interesting part missing due to the frequent restarting.

I thought to have searched for the culprit string in the log file.

    $ zgrep -i segf /var/log/Xorg.*

But …

> Can you try kdm/xdm/... and see if the Xorg.*.log contains more
> information after the error?

… with your suggestion to install a different X display manager – I
chose SLiM – I can see the console and …

> And be aware of
>   #675940: fglrx crashs with Xserver 1.12 on 64bit architecture
> Backports has an older X stack available.

… I can verify that I get the same crash. Now I also find the
segmentation faults in the log files of the GDM 3 started sessions since
I have to search for `segm` and not `segf` (for segfault).

        $ zgrep -i segm /var/log/Xorg.*
        /var/log/Xorg.0.log:[     6.424] Segmentation fault at address 0x31b31742
        /var/log/Xorg.0.log:[     6.424] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.0.log.old:[  5276.852] Segmentation fault at address 0xffffffffcfb9f742
        /var/log/Xorg.0.log.old:[  5276.852] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.10.log.old:[    38.737] Segmentation fault at address 0x301a8742
        /var/log/Xorg.10.log.old:[    38.737] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.11.log:[    56.355] Segmentation fault at address 0xffffffff87a23742
        /var/log/Xorg.11.log:[    56.355] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.11.log.old:[    47.386] Segmentation fault at address 0x5894a742
        /var/log/Xorg.11.log.old:[    47.386] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.12.log:[    57.170] Segmentation fault at address 0x96b7742
        /var/log/Xorg.12.log:[    57.170] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.12.log.old:[    51.682] Segmentation fault at address 0xffffffffa3824742
        /var/log/Xorg.12.log.old:[    51.682] Caught signal 11 (Segmentation fault). Server aborting
        /var/log/Xorg.13.log:[    53.598] Segmentation fault at address 0xffffffffd91d9742
        /var/log/Xorg.13.log:[    53.598] Caught signal 11 (Segmentation fault). Server aborting
        […]

I am therefore merging the two reports. Also it seems that there is a
workaround for that issues in the upstream report [1] involving patching
libpciaccess [2]. But I have not tried it yet.


Thanks,

Paul


[1] http://ati.cchtml.com/show_bug.cgi?id=522
[2] http://ati.cchtml.com/show_bug.cgi?id=522#c3
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 18:57:05 GMT) Full text and rfc822 format available.

Merged 675940 675995 677667 677694 Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 18:57:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://ati.cchtml.com/show_bug.cgi?id=522'. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 18:57:12 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 21:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#677667; Package fglrx-driver. (Mon, 18 Jun 2012 22:16:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 18 Jun 2012 22:16:27 GMT) Full text and rfc822 format available.

Message #30 received at 677667@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 677667@bugs.debian.org, Michal Suchanek <michal.suchanek@ruk.cuni.cz>, Antonio Aguilar <aguilar.sanchez.antonio@gmail.com>, ygmarchi <carlo.marchiori@gmail.com>, Carlo Marchiori <carlo.marchiori@gmail.com>, niktaris@freemail.gr, Hor Jiun Shyong <junexion@gmail.com>, Issam Mehssani <i.mehssani@gmail.com>
Subject: Bug#677667: fglrx crashes with X server 1.12 on 64bit architecture (was: fglrx-driver: xf86OpenConsole: Cannot find a free VT)
Date: Tue, 19 Jun 2012 00:05:02 +0200
[Message part 1 (text/plain, inline)]
retitle 677667 fglrx crashes with X server 1.12 on 64bit architecture
quit


Am Samstag, den 16.06.2012, 20:54 +0200 schrieb Paul Menzel:

[…]

> Also it seems that there is a workaround for that issues in the
> upstream report [1] involving patching libpciaccess [2]. But I have
> not tried it yet.

I got it finally working by correctly applying the patch from [2] and
rebuilding `libpciaccess0` as described in comment 12 [3]. I post the
updated comments here.

Find out the PCI address(?) of your graphics device.

        $ lspci # ASRock E350M1
        00:01.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:9802]
        […]

Then build the package `libpciaccess0`.

        $ sudo aptitude install devscripts
        $ sudo aptitude build-dep libpciaccess0
        $ debcheckout libpciaccess0
        $ cd libpciaccess0
        $ # copy <http://pastebin.com/swpDj4FD> to file `fglrx.patch`
        $ editor fglrx.patch # change `pci_device_find_by_slot(0, 1, 0, 0)` to `pci_device_find_by_slot(0, 0, 1, 0)` in `src/common_interface.c` and `src/common_io.c`
        $ patch -p1 < fglrx.patch
        $ dch # add entry to Debian changelog
        $ git commit -a
        $ dpkg-buildpackage -us -uc -B
        $ sudo dpkg -i ../libpciaccess0*.deb


Thanks,

Paul


> [1] http://ati.cchtml.com/show_bug.cgi?id=522
> [2] http://ati.cchtml.com/show_bug.cgi?id=522#c3
[3] http://ati.cchtml.com/show_bug.cgi?id=522#c12
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'fglrx crashes with X server 1.12 on 64bit architecture' from 'fglrx-driver: xf86OpenConsole: Cannot find a free VT' Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 18 Jun 2012 22:17:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#677667; Package fglrx-driver. (Thu, 21 Jun 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hor Jiun Shyong <junexion@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 21 Jun 2012 08:54:04 GMT) Full text and rfc822 format available.

Message #37 received at 677667@bugs.debian.org (full text, mbox):

From: Hor Jiun Shyong <junexion@gmail.com>
To: Paul Menzel <pm.debian@googlemail.com>
Cc: Andreas Beckmann <debian@abeckmann.de>, 677667@bugs.debian.org, Michal Suchanek <michal.suchanek@ruk.cuni.cz>, Antonio Aguilar <aguilar.sanchez.antonio@gmail.com>, ygmarchi <carlo.marchiori@gmail.com>, niktaris@freemail.gr, Issam Mehssani <i.mehssani@gmail.com>
Subject: Re: Bug#677667: fglrx crashes with X server 1.12 on 64bit architecture
Date: Thu, 21 Jun 2012 16:44:40 +0800
Package: fglrx-driver
Version: 1:12-6~beta-1
Severity: important


I have patched and rebuilt libpciaccess0 but fglrx still crashes.  As 
temporary measure, I am using fglrx-driver 1:12-6~beta-1  while holding 
the below packages from upgrade.  This gives me a working gdm3.

xserver-xorg-core_2%3a1.11.4-1_amd64.deb
xserver-common_2%3a1.11.4-1_all.deb
xorg_1%3a7.6+12_amd64.deb
xserver-xorg_1%3a7.6+12_amd64.deb
xserver-xorg-input-all_1%3a7.6+12_amd64.deb
xserver-xorg-input-evdev_1%3a2.7.0-1_amd64.deb
xserver-xorg-input-synaptics_1.5.99.901-1_amd64.deb
xserver-xorg-input-wacom_0.12.0-1_amd64.deb


-- 
Regards,
Hor Jiun Shyong 何俊雄

Blog: jiunshyong.dyndns.org
twitter.com/jiunshyong
facebook.com/jiunshyong

I'm an FSF member -- Help us support software freedom! http://www.fsf.org/jf?referrer=2442

Knowing is not enough, we must apply. Willing is not enough, we must do - Bruce Lee.




On 06/19/2012 06:05 AM, Paul Menzel wrote:
> retitle 677667 fglrx crashes with X server 1.12 on 64bit architecture
> quit
>
>
> Am Samstag, den 16.06.2012, 20:54 +0200 schrieb Paul Menzel:
>
> […]
>
>> Also it seems that there is a workaround for that issues in the
>> upstream report [1] involving patching libpciaccess [2]. But I have
>> not tried it yet.
> I got it finally working by correctly applying the patch from [2] and
> rebuilding `libpciaccess0` as described in comment 12 [3]. I post the
> updated comments here.
>
> Find out the PCI address(?) of your graphics device.
>
>          $ lspci # ASRock E350M1
>          00:01.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:9802]
>          […]
>
> Then build the package `libpciaccess0`.
>
>          $ sudo aptitude install devscripts
>          $ sudo aptitude build-dep libpciaccess0
>          $ debcheckout libpciaccess0
>          $ cd libpciaccess0
>          $ # copy<http://pastebin.com/swpDj4FD>  to file `fglrx.patch`
>          $ editor fglrx.patch # change `pci_device_find_by_slot(0, 1, 0, 0)` to `pci_device_find_by_slot(0, 0, 1, 0)` in `src/common_interface.c` and `src/common_io.c`
>          $ patch -p1<  fglrx.patch
>          $ dch # add entry to Debian changelog
>          $ git commit -a
>          $ dpkg-buildpackage -us -uc -B
>          $ sudo dpkg -i ../libpciaccess0*.deb
>
>
> Thanks,
>
> Paul
>
>
>> [1] http://ati.cchtml.com/show_bug.cgi?id=522
>> [2] http://ati.cchtml.com/show_bug.cgi?id=522#c3
> [3] http://ati.cchtml.com/show_bug.cgi?id=522#c12






Merged 675940 675995 677667 677694 677954 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 21 Jun 2012 11:33:31 GMT) Full text and rfc822 format available.

Marked as found in versions fglrx-driver/1:12-6-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 18:00:08 GMT) Full text and rfc822 format available.

Marked as found in versions fglrx-driver/1:12-6-2. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 17:27:09 GMT) Full text and rfc822 format available.

Merged 675940 675995 677667 677694 677954 679793 679794 Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 17:27:16 GMT) Full text and rfc822 format available.

Merged 675940 675995 677667 677694 677954 679793 679794 680105 Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 17:27:22 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2012 08:21:10 GMT) Full text and rfc822 format available.

Message #50 received at 675940-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 675940-close@bugs.debian.org
Subject: Bug#675940: fixed in fglrx-driver 1:12-6+point-1
Date: Mon, 30 Jul 2012 21:32:54 +0000
Source: fglrx-driver
Source-Version: 1:12-6+point-1

We believe that the bug you reported is fixed in the latest version of
fglrx-driver, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated fglrx-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 30 Jul 2012 18:06:47 +0200
Source: fglrx-driver
Binary: fglrx-driver libfglrx libfglrx-amdxvba1 libxvbaw-dev libgl1-fglrx-glx fglrx-glx fglrx-glx-ia32 libfglrx-ia32 fglrx-modules-dkms fglrx-source fglrx-control fglrx-atieventsd amd-opencl-icd amd-libopencl1 amd-opencl-dev amd-clinfo
Architecture: source amd64
Version: 1:12-6+point-1
Distribution: unstable
Urgency: low
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 amd-clinfo - AMD OpenCL info utility
 amd-libopencl1 - AMD OpenCL library
 amd-opencl-dev - AMD OpenCL development files
 amd-opencl-icd - AMD OpenCL ICD${fglrx:VariantDescSuffix}
 fglrx-atieventsd - external events daemon for the non-free ATI/AMD RadeonHD display
 fglrx-control - control panel for the non-free ATI/AMD RadeonHD display driver${f
 fglrx-driver - non-free ATI/AMD RadeonHD display driver${fglrx:VariantDescSuffix
 fglrx-glx  - transitional package, use libgl1-${fglrx}-glx
 fglrx-glx-ia32 - please switch to multiarch libgl1-fglrx-glx:i386
 fglrx-modules-dkms - dkms module source for the non-free ATI/AMD RadeonHD display driv
 fglrx-source - kernel module source for the non-free ATI/AMD RadeonHD display dr
 libfglrx   - non-free ATI/AMD RadeonHD display driver (runtime libraries)${fgl
 libfglrx-amdxvba1 - AMD XvBA (X-Video Bitstream Acceleration) runtime libraries${fglr
 libfglrx-ia32 - please switch to multiarch libfglrx:i386
 libgl1-fglrx-glx - proprietary libGL for the non-free ATI/AMD RadeonHD display drive
 libxvbaw-dev - AMD XvBA (X-Video Bitstream Acceleration) development files${fglr
Closes: 675940 682263 683134
Changes: 
 fglrx-driver (1:12-6+point-1) unstable; urgency=low
 .
   [ Debconf translations ]
   * Italian (it): Beatrice Torracca         (Closes: #682263)
   * Japanese (ja): Kenshi Muto				(Closes: #683134)
 .
   [ Patrick Matthäi ]
   * New upstream point release. AMD gave us the permission, to release this
     driver based on internal version 8.982.13.
     - X11 crashes on amd64 are fixed.
       Closes: #675940
     - Drop patch 01-fglrx_kernel_3.4.0, it has been merged by upstream.
 .
   [ Andreas Beckmann ]
   * 01-fglrx_kernel_3.5.0.diff: New patch from Hans-Frieder Vogt, fix kernel
     module build for kernel 3.5.
Checksums-Sha1: 
 7787c6942e94b7ae5b6811a3bfd8a0db32bb6172 3166 fglrx-driver_12-6+point-1.dsc
 72a167354f06db29adbf967df4aed59ac435cd27 95259238 fglrx-driver_12-6+point.orig.tar.bz2
 168d6f582f0e7464548fc998d950e42349111cd0 132311 fglrx-driver_12-6+point-1.debian.tar.gz
 6394a83303a8dc75bf0b0ad7197265f4f3b9bd46 8721660 fglrx-driver_12-6+point-1_amd64.deb
 c9403034e7aa73ecde89f3e77ff94123ade622ee 13415374 libfglrx_12-6+point-1_amd64.deb
 b4d7beef789f7c546c3e4702f8c3195177912855 3088696 libfglrx-amdxvba1_12-6+point-1_amd64.deb
 b8f437f2d44a33b9b9b4fd4fb54f0ae5e9357259 39188 libxvbaw-dev_12-6+point-1_amd64.deb
 704480e706b80cddcb54a25deb8c194a77b1dac8 284784 libgl1-fglrx-glx_12-6+point-1_amd64.deb
 5fba815eae6ebe41a45d148cdd926964476a410c 33656 fglrx-glx_12-6+point-1_amd64.deb
 e352d667ba2a9d2c82ecbb86fcc032dfc1f63209 34058 fglrx-glx-ia32_12-6+point-1_amd64.deb
 04d71ef5c597aa716548104dd6052298b0133517 33774 libfglrx-ia32_12-6+point-1_amd64.deb
 4d1a2eb7a5e879f7cb8a10c4fe4aa7f19f450fc5 984996 fglrx-modules-dkms_12-6+point-1_amd64.deb
 0d250d9e4b4ce9e27c6f3f0f2fe6373a9475ccd2 936750 fglrx-source_12-6+point-1_amd64.deb
 a5cc6e58170ffc08cafbec65adfa5f4641d7aed7 4649580 fglrx-control_12-6+point-1_amd64.deb
 8d590c86a3d27b346c2c9c45bf03b6bae794fccf 160126 fglrx-atieventsd_12-6+point-1_amd64.deb
 04ae01f711bf88ccc365745e6a1729ae3a4743e4 11861564 amd-opencl-icd_12-6+point-1_amd64.deb
 48fcbc51b7fe24cf9e3297020695bb976350d676 42472 amd-libopencl1_12-6+point-1_amd64.deb
 cb4d2e0df0c7e12cb8e1610ffeb1e527073fa698 34014 amd-opencl-dev_12-6+point-1_amd64.deb
 5c352c4fc03506e1a09286c0b038525a320a07ee 51736 amd-clinfo_12-6+point-1_amd64.deb
Checksums-Sha256: 
 839751e0ce42366a60cd51fb06f3668a7c5ba13d1c61ef51abe30da3edec35f3 3166 fglrx-driver_12-6+point-1.dsc
 6d7d0c173595e75143d7ea2945899a3a5c4524c9eafd4844ad64e8abe44bc2f5 95259238 fglrx-driver_12-6+point.orig.tar.bz2
 09cd6de3795c0baf6f1e4a016dc2e51266d9a6d44d7402f7f06bb91adc811615 132311 fglrx-driver_12-6+point-1.debian.tar.gz
 bee7a3e6f7dba6d56af1153a22b1109644c489ff4e0de4efde5c82385c77b316 8721660 fglrx-driver_12-6+point-1_amd64.deb
 884e617c77a194ad3dbb43de851e01862572a76b212787867eebb2929c62b51b 13415374 libfglrx_12-6+point-1_amd64.deb
 b8c0b8a08eb6b20453ab9568bf9afd42689185482c229932239ba6a06279a459 3088696 libfglrx-amdxvba1_12-6+point-1_amd64.deb
 9d3239bdb58c3b2db02e3252eebb91f3fe131403454506aff8c2b59ea3851b2d 39188 libxvbaw-dev_12-6+point-1_amd64.deb
 c870c776e0c5bd87588af78d9836628d8ac92e8e834059956d5bbebc48c8f5c6 284784 libgl1-fglrx-glx_12-6+point-1_amd64.deb
 94f60466146ba3042bf7efcb118f39b04b12986fd719843fbc9b2c8ebbde0d8f 33656 fglrx-glx_12-6+point-1_amd64.deb
 60a2d75cb4f4ffd0d5dbca55243df96f361bd868bc37f08caf36503a22b0c22c 34058 fglrx-glx-ia32_12-6+point-1_amd64.deb
 18afd11329dd593bfeb6da2a8ab1cf8e9cf628d67f9047e5e4a82322554420e5 33774 libfglrx-ia32_12-6+point-1_amd64.deb
 59666ce3497608695fe25faebcf6db77b43641642f63855ec0996274f4e457b7 984996 fglrx-modules-dkms_12-6+point-1_amd64.deb
 b15d050f0f3ddc670b03818770dc93c300c2c10a2e8ea5a17b0a71046963ab31 936750 fglrx-source_12-6+point-1_amd64.deb
 19ec3ce06a932799267a53105f5441fd9853d77a0841fc4e052b95306b0fe7ad 4649580 fglrx-control_12-6+point-1_amd64.deb
 928d3447a65b5068b58f8adcf621d78c685858e585008b2751dd420442506d8f 160126 fglrx-atieventsd_12-6+point-1_amd64.deb
 506d5b6f37016cedc747815b548eff52ba389830363c399b04da7f5bc34d51ad 11861564 amd-opencl-icd_12-6+point-1_amd64.deb
 18ccc475a4c893b57f9f82666a97676b37a7d8911bac7b7618669814b0b41156 42472 amd-libopencl1_12-6+point-1_amd64.deb
 73e6c8a0325c3230a6457682b4997269a73f77711e04bdc9e31c0ae53d7141e7 34014 amd-opencl-dev_12-6+point-1_amd64.deb
 8b396ef6448aa11eb31e95245115b91992ecc034b9f52f25d7bd1ee14e93941c 51736 amd-clinfo_12-6+point-1_amd64.deb
Files: 
 59961a7aea649036339a7737faf0c983 3166 non-free/x11 extra fglrx-driver_12-6+point-1.dsc
 2dffb366faaddb5f2427257f7c43f595 95259238 non-free/x11 extra fglrx-driver_12-6+point.orig.tar.bz2
 013c6f7bd59fca9fb4b221bd0654fc49 132311 non-free/x11 extra fglrx-driver_12-6+point-1.debian.tar.gz
 a484bc6c8febe383220a296eabc1b2ab 8721660 non-free/x11 extra fglrx-driver_12-6+point-1_amd64.deb
 11711145c61e426626370464125356ba 13415374 non-free/libs extra libfglrx_12-6+point-1_amd64.deb
 2cc1f10804049b335e11d48935e86742 3088696 non-free/libs extra libfglrx-amdxvba1_12-6+point-1_amd64.deb
 10a2fb46f150f757d6aa0daca38b3c52 39188 non-free/libdevel extra libxvbaw-dev_12-6+point-1_amd64.deb
 400167203166fe272bb0b53f0d8f2dbb 284784 non-free/libs extra libgl1-fglrx-glx_12-6+point-1_amd64.deb
 61b808f6c6b2dd0d1a056c97f24d79e5 33656 non-free/oldlibs extra fglrx-glx_12-6+point-1_amd64.deb
 7c8a3411b411077e3d8dc1a0b8644738 34058 non-free/oldlibs extra fglrx-glx-ia32_12-6+point-1_amd64.deb
 bacc0460967e3624ef597a6ce72280dd 33774 non-free/oldlibs extra libfglrx-ia32_12-6+point-1_amd64.deb
 4ef25dd998303b1517541ca0124724fc 984996 non-free/kernel extra fglrx-modules-dkms_12-6+point-1_amd64.deb
 4144035798a9e51beed2e314ef3a1301 936750 non-free/kernel extra fglrx-source_12-6+point-1_amd64.deb
 28d78d6bcf3d8dd0b0f44b86846c4588 4649580 non-free/x11 extra fglrx-control_12-6+point-1_amd64.deb
 4c01659471fa463dfba288c73524727e 160126 non-free/x11 extra fglrx-atieventsd_12-6+point-1_amd64.deb
 715ec6f939b45bb36ed20d384c43bb10 11861564 non-free/x11 extra amd-opencl-icd_12-6+point-1_amd64.deb
 c9596f5b407aa6efd8638b2347c79bca 42472 non-free/x11 extra amd-libopencl1_12-6+point-1_amd64.deb
 2306915270e3b72a48c34da60870033a 34014 non-free/x11 extra amd-opencl-dev_12-6+point-1_amd64.deb
 0f21de319cbf84ee4c8a7a627665d0e1 51736 non-free/x11 extra amd-clinfo_12-6+point-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQFrMHAAoJEBLZsEqQy9jkHxoP/2dyEe1zzVwNP+yN0QQC1a9g
q1f0f8mkY7wGvg+Rc8FqbyYZVFRz20aDRsahQNzLS77jR7HEiBCP3Afr3JSITqeq
I8v16Qint2aIHVrolwc1+Xlt+yFagpJs0NzIEWSI4iwsJFTNjXanW3yWApH3Cs8d
Mid/VQDrJMMOEl3tAH9A7G+WIt0SyCruXeRRgry/w5+dUTfqJYh4GfbPJSetfqOM
mYj2G/ix7OCQyWj7fac1XAvxyhNoa2cHnz8D9QCLB465/Ap5lsqcmkb2pOFRmgvO
ByYm9HOchCc5aPzYvCZa6ASqvu6SsC1CzklOSbeNceTncWxdsEkbjruM+6sjt5Ua
2wFqMYvs92Y7QG12HCNPdowGIZLGa/st+sU6RTPGyDHsw7Sw50ICU/jdHqPdih2V
Ets2GgAUYiVD/iQ82oMVUZaas8HmvAhG+vysAu0DsKIFS3NoXaXhXEJi8Re8ViOJ
qxTyqjUoKy5GiiIPU4OuJaHhd0rgIJvfv4kRDrAtyVuQkkPrMJ9wQY5McuRh1VWA
gFuYc7QdODfnQe4MoD4oWPsaHblG9INcxo8a+eM36HqpuH64uCKcht1EeYesmLEU
5qheQebUhQcNi9G27eMeCZoZOeg3rXw5mHLnnXXIaLMAOBv2SYpyqMRJdFxPNxwA
4Cyuuny72kszWw4eRpHi
=D4az
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Aug 2012 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:03:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.